Oracle Internet File System Developer's Guide Release 1.1 A75172-04 |
Library | Service | Contents | Index

#
Preface

The topics covered in this preface include:

- Intended Audience

- Structure of the Developer's Guide

- Notation Conventions

- Related Documents

## Intended Audience

The Oracle Internet File System Developer's Guide is intended for application developers who create custom file system applications using XML and Java.

## Structure of the Developer's Guide

The Oracle Internet File System Developer's Guide contains ten chapters and one appendix:

Chapter 1 | Getting Started | Introduces the Oracle Internet File System and provides an overview of customization in Oracle iFS.
Chapter 2 | API Overview | Describes the most commonly used classes of the Oracle iFS Java API.
Chapter 3 | Working with Documents | Describes how to get started using the Oracle iFS API for basic functionality, such as connecting to the database and creating documents.
Chapter 4 | Creating Custom Classes | Describes how to create a custom class using XML.
Chapter 5 | Using Parsers | Describes how parsing works in Oracle iFS and how to write a custom parser.
Chapter 6 | Using Renderers | Describes how rendering works in Oracle iFS and how to write a custom renderer.
Chapter 7 | Using JSPs | Describes how to display an Oracle iFS document on the Web using a Java Server Page (JSP).
Chapter 8 | Using Agents | Describes how to create a custom program (agent) to perform a specific task.
Chapter 9 | Using Overrides | Describes how to use an override to alter server-side functionality.
Chapter 10 | Sending E-mail Programmatically | Describes how to send e-mail from an application program.
Appendix A | Error Messages | Describes the most common error messages.

## Notation Conventions

The following conventions are used in this manual:

Convention | Meaning
--- | ---
. . . | Vertical ellipsis points in an example mean that information not directly related to the example has been omitted.
. . . | Horizontal ellipsis points in statements or commands mean that parts of the statement or command not directly related to the example have been omitted
`monospaced text` | Monospaced text is used for filenames, pathnames, and code samples.

## Related Documents

For more information on Oracle Internet File System, see the following manuals that are included with Oracle Internet File System:

- Oracle Internet File System Quick Tour

- Oracle Internet File System Installation Guide

- Oracle Internet File System Setup and Administration Guide

- Oracle Internet File System User's Guide

For more information on the Oracle8i database, see the documentation for Oracle8i.

The following table lists additional developer documentation available in the Documentation section of the Oracle iFS listing on OTN (Oracle Technology Network).

Oracle Internet File System Javadoc | Describes the packages, classes, and methods of the Oracle iFS API.
Oracle Internet File System Class Reference | Provides a listing of the class hierarchy and describes the attributes of the Java classes.
Oracle Internet File System XML Reference | Defines and describes the attributes that may be set when creating objects using XML.

| Copyright © 2000 Oracle Corporation. All Rights Reserved. |
Library | Service | Contents | Index